<div class="container">
    <div class="title-block">
        <h3>Users list</h3>
    </div>

    <div class="table-block">
        <mat-card>
            <mat-card-content>
                <mat-form-field>
                    <mat-label>Filter</mat-label>
                    <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input>
                </mat-form-field>

                <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

                    <!-- ID Column -->
                    <ng-container matColumnDef="id">
                        <th mat-header-cell *matHeaderCellDef> No. </th>
                        <td mat-cell *matCellDef="let element"> {{element.id}} </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef> Name </th>
                        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                    </ng-container>

                    <!-- EMAIL Column -->
                    <ng-container matColumnDef="email">
                        <th mat-header-cell *matHeaderCellDef> email </th>
                        <td mat-cell *matCellDef="let element"> {{element.email}} </td>
                    </ng-container>

                    <!-- CREATEDAT Column -->
                    <ng-container matColumnDef="createdAt">
                        <th mat-header-cell *matHeaderCellDef> Create </th>
                        <td mat-cell *matCellDef="let element"> {{element.createdAt | date: 'YYYY/MM/dd'}} </td>
                    </ng-container>

                    <!-- Symbol Column -->
                    <ng-container matColumnDef="symbol">
                        <th mat-header-cell *matHeaderCellDef> Symbol </th>
                        <td mat-cell *matCellDef="let element">
                            <mat-icon class="mat-icon notranslate material-icons mat-icon-no-color" aria-hidden="true" (click)="openModalDetails(element)">visibility</mat-icon>
                            <mat-icon class="mat-icon notranslate material-icons mat-icon-no-color" aria-hidden="true" (click)="openModalForm(element)">edit</mat-icon>
                            <mat-icon class="mat-icon notranslate material-icons mat-icon-no-color" aria-hidden="true" (click)="openModalDelete(element)">delete</mat-icon>
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                    <!-- Row shown when there is no matching data. -->
                    <tr class="mat-row" *matNoDataRow>
                        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                    </tr>
                </table>

            </mat-card-content>
        </mat-card>
    </div>
</div>



<button mat-fab color="primary" aria-label="Example icon button with a delete icon" (click)="openModalForm(null)">
    <mat-icon>
        <mat-icon class="mat-icon notranslate material-icons mat-icon-no-color" aria-hidden="true">add</mat-icon>
    </mat-icon>
</button>